# $Revision: 1.8 $, $Date: 2004/11/03 22:30:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	RsyncP
Summary:	File::RsyncP - Perl implementation of an rsync client
Summary(pl):	File::RsyncP - implementacja klienta rsync w Perlu
Name:		perl-File-RsyncP
Version:	0.52
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b02839e62a9933e6faa1ec2e8fcd8bb1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::RsyncP is a Perl implementation of an rsync client. It can send
or receive files, either by running rsync on the remote machine, or
connecting to an rsyncd deamon on the remote machine.

File::RsyncP seperates all file system I/O into a seperate module
(File::RsyncP::FileIO), which can be replaced by any module of your
own design. This allows rsync interfaces to non-filesystem data types
(eg: databases) to be developed with relative ease.

File::RsyncP does not yet provide a command-line interface that mimics
native rsync. Instead it provides an API that makes it possible to
write simple scripts that talk to rsync or rsyncd.

%description -l pl
File::RsyncP jest implementacj klienta rsync w Perlu. Umoliwia
wysyanie i pobieranie plikw, zarwno przez uruchomionego zdalnie
klienta rsync jak i przez poczenie z demonem rsyncd na zdalnej
maszynie.

Wszystkie operacje wejcia/wyjcia na systemie plikw zostay
wyodrbnione do oddzielnego moduu (File::RsyncP::FileIO), ktry moe
by zastpiony przez inny modu wasnego projektu. Umoliwia to w
miar proste tworzenie interfejsw do rsynca, ktre nie operuj na
systemie plikw a np. na bazach danych.

File::RsyncP nie udostpnia jeszcze interaktywnego interfejsu
naladujcego lini polece programu rsync. W zamian udostpnia API,
umoliwiajce pisanie prostych skryptw do komunikacji z rsync
i rsyncd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorarch}/%{pdir}/%{pnam}
%{perl_vendorarch}/%{pdir}/%{pnam}/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Digest
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}/FileList
%{perl_vendorarch}/auto/%{pdir}/%{pnam}/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/*/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-RsyncP.spec,v $
Revision 1.8  2004/11/03 22:30:21  paladine
- formatting

Revision 1.7  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.6  2004/05/30 11:31:58  adamg
- updated to 0.52

Revision 1.5  2004/05/23 23:10:35  adamg
- updated to 0.51

Revision 1.4  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.3  2004/03/28 15:47:24  adamg
- updated to 0.50

Revision 1.2  2004/02/15 20:32:35  adamg
- updated to 0.46

Revision 1.1  2004/01/01 20:08:03  pius
- initial release

